Package weka.classifiers.evaluation

# Class EvaluationUtils

java.lang.Object
weka.classifiers.evaluation.EvaluationUtils

All Implemented Interfaces:
  `RevisionHandler`

public class EvaluationUtils extends Object implements RevisionHandler
Contains utility functions for generating lists of predictions in various manners.

Version:
  $Revision: 10153 $
Author:
  Len Trigg (len@reeltwo.com)

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `EvaluationUtils()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `ArrayList<Prediction>`
  `getCVPredictions(Classifier classifier, Instances data, int numFolds)`
  Generate a bunch of predictions ready for processing, by performing a cross-validation on the supplied dataset.
  `Prediction`
  `getPrediction(Classifier classifier, Instance test)`
  Generate a single prediction for a test instance given the pre-trained classifier.
  `String`
  `getRevision()`
  Returns the revision string.
  `int`
  `getSeed()`
  Gets the seed for randomization during cross-validation
  `ArrayList<Prediction>`
  `getTestPredictions(Classifier classifier, Instances test)`
  Generate a bunch of predictions ready for processing, by performing a evaluation on a test set assuming the classifier is already trained.
  `ArrayList<Prediction>`
  `getTrainTestPredictions(Classifier classifier, Instances train, Instances test)`
  Generate a bunch of predictions ready for processing, by performing a evaluation on a test set after training on the given training set.
  `void`
  `setSeed(int seed)`
  Sets the seed for randomization during cross-validation

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### EvaluationUtils

    public EvaluationUtils()

- ## Method Details

  - ### setSeed

    public void setSeed(int seed)
    Sets the seed for randomization during cross-validation

  - ### getSeed

    public int getSeed()
    Gets the seed for randomization during cross-validation

  - ### getCVPredictions

    public ArrayList<Prediction> getCVPredictions(Classifier classifier, Instances data, int numFolds) throws Exception
    Generate a bunch of predictions ready for processing, by performing a cross-validation on the supplied dataset.
    Parameters:
      `classifier` - the Classifier to evaluate
      `data` - the dataset
      `numFolds` - the number of folds in the cross-validation.
    Throws:
      `Exception` - if an error occurs

  - ### getTrainTestPredictions

    public ArrayList<Prediction> getTrainTestPredictions(Classifier classifier, Instances train, Instances test) throws Exception
    Generate a bunch of predictions ready for processing, by performing a evaluation on a test set after training on the given training set.
    Parameters:
      `classifier` - the Classifier to evaluate
      `train` - the training dataset
      `test` - the test dataset
    Throws:
      `Exception` - if an error occurs

  - ### getTestPredictions

    public ArrayList<Prediction> getTestPredictions(Classifier classifier, Instances test) throws Exception
    Generate a bunch of predictions ready for processing, by performing a evaluation on a test set assuming the classifier is already trained.
    Parameters:
      `classifier` - the pre-trained Classifier to evaluate
      `test` - the test dataset
    Throws:
      `Exception` - if an error occurs

  - ### getPrediction

    public Prediction getPrediction(Classifier classifier, Instance test) throws Exception
    Generate a single prediction for a test instance given the pre-trained classifier.
    Parameters:
      `classifier` - the pre-trained Classifier to evaluate
      `test` - the test instance
    Throws:
      `Exception` - if an error occurs

  - ### getRevision

    public String getRevision()
    Returns the revision string.
    Specified by:
      `getRevision` in interface `RevisionHandler`
    Returns:
      the revision